Subject: bug#17545: 24.4.50; icomplete conflicts with minibuffer default

From: Stefan Monnier <[email-masked]>
Date: Wed, 21 May 2014 13:52:55 -0400

> "Kill buffer (default: foo)". If you type C-j to trigger icomplete
> without having actually typed any characters, icomplete will terminate
> an unrelated buffer and won't even tell you which it was.

Good point.

> This is confusing because the minibuffer prompt suggests a completely
> different default. Here's a function that fixes the behavior:

I think a better fix is to change icomplete such that if the default is
among the possible completions, then it appears first.

        Stefan